Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21123

Description

Hi, I try the nighlty version of QGIS 2.9.25 and I have a problem with the size method in graduate symbol. The size method should be in

categorized symbol and unique symbol but not in graduated. This is the first problem because we can't give a size to class in graphic

semiology, each different value should have a different size.

The other problem is the mathematic calcul for the size, actually it's false, the right calcul is radius = square root(quantity/pi) we can after

that multiply or split by a value all the radius value. To solve the problem of really small circle we could choose a minimum size for value

under a custom limit. For the big circle we can choose a max value for the radius and find the most appropriated ratio between the max

value we want and the radius initially calculate. I hope you could understant what I'm trying to say.

This is very important because the proportionnal symbol are really essential for cartographer and legend associated too.

History

#1 - 2015-06-30 12:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.8.2 to master

2.9.25 is pretty "old", and there have been developments/fixes lately in this area, could you test qgis 2.10 or the new master, thanks.

#2 - 2015-07-01 01:07 AM - Fabien Cerbelaud

Hi, I trying this morning with the 2.10 version available in OSGEO install and the two problems are still the same

#3 - 2015-07-01 02:40 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

- Operating System deleted (windows)

- Priority changed from High to Normal

- Status changed from Feedback to Open

I would suggest to raise this issues in the developers mailing list because I could not say if the actual implementation is wrong as you say or if it is as it is by

design.

#4 - 2015-07-08 01:40 AM - Fabien Cerbelaud

Hi, I raise this issues in the developers mailing list the 02/07 but nobody anwser. I hope someone tell me something about that and if it's not for this version

I hope this could be realise for the next one
#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#6 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2024-03-20 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

